# Interface FontJson

Font used for text symbols.

See https://developers.arcgis.com/web-map-specification/objects/font/ https://developers.arcgis.com/web-scene-specification/objects/font/.

interface FontJson {
decoration?: "none" | "line-through" | "underline";
family?: string;
size?: number;
style?: "italic" | "normal" | "oblique";
weight?:
| "bold"
| "normal"
| "bolder"
| "lighter";
}

#####
Index

### Properties

decoration?
family?
size?
style?
weight?

##
Properties

### `Optional` decoration

decoration?: "none" | "line-through" | "underline"

The text decoration.

### `Optional` family

family?: string

The font family.

### `Optional` size

size?: number

The font size.

### `Optional` style

style?: "italic" | "normal" | "oblique"

The text style.

### `Optional` weight

weight?:
| "bold"
| "normal"
| "bolder"
| "lighter"

The text weight.